//
//  GetContentMainTabSeriesResponse.swift
//  SodaLive
//
//  Created by klaus on 2/20/25.
//

struct GetContentMainTabSeriesResponse: Decodable {
    let contentBannerList: [GetAudioContentBannerResponse]
    let originalAudioDrama: [SeriesListItem]
    let rankSeriesList: [SeriesListItem]
    let genreList: [GetSeriesGenreListResponse]
    let recommendSeriesList: [SeriesListItem]
    let newSeriesList: [GetRecommendSeriesListResponse]
    let rankCompleteSeriesList: [SeriesListItem]
    let seriesRankCreatorList: [ContentCreatorResponse]
    let recommendSeriesByChannel: [SeriesListItem]
    let eventBannerList: GetEventResponse
    let curationList: [GetSeriesCurationResponse]
}

struct GetSeriesGenreListResponse: Decodable {
    let id: Int
    let genre: String
}

struct GetRecommendSeriesListResponse: Decodable {
    let seriesId: Int
    let title: String
    let imageUrl: String
    let creatorId: Int
    let creatorNickname: String
    let creatorProfileImageUrl: String
}

struct GetSeriesCurationResponse: Decodable {
    let title: String
    let items: [SeriesListItem]
}
